'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _create = require('./create');

var _create2 = _interopRequireDefault(_create);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = async function (context) {
  const result = {
    cache: {},
    models: {},
    modules: {},
    async execute() {
      return true;
    }
  };
  if (context.config.db.dialect && context.config.db.url) {
    let { cache, models, modules, execute } = await (0, _create2.default)(context, context.config.db.dialect);
    result.cache = cache;
    result.models = models;
    result.modules = modules;
    result.execute = execute;
  }

  return result;
};
//# sourceMappingURL=index.js.map