'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTimezone = getTimezone;
exports.isDate = isDate;
function getTimezone() {
  let offset = new Date().getTimezoneOffset();
  let o = Math.abs(offset);
  return (offset < 0 ? '+' : '-') + ('00' + Math.floor(o / 60)).slice(-2) + ':' + ('00' + o % 60).slice(-2);
}

function isDate(data) {
  if (typeof data === 'undefined' || data == null || data === '') return data;
  return typeof data === 'string' ? new Date(data) : data;
}
//# sourceMappingURL=date.js.map